### Virtual Method

# Gio DBusObject get_interface

since: 2.30

#### Declaration

    GDBusInterface*
    get_interface (
      GDBusObject* object,
      const gchar* interface_name
    )

#### Description

Gets the D-Bus interface with name `interface_name` associated with `object`, if any.

Available since: 2.30

#### Parameters

`interface_name`

  Type: `const gchar*`

  A D-Bus interface name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusInterface`

`NULL` if not found, otherwise a `GDBusInterface` that must be freed with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.